package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * Site LLDP setting.
 */
@ApiModel(description = "Site LLDP setting.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SiteLldpSetting   {
  @JsonProperty("lldp")
  private SiteApLldpSettingVo lldp;

  public SiteLldpSetting lldp(SiteApLldpSettingVo lldp) {
    this.lldp = lldp;
    return this;
  }

  /**
   * Get lldp
   * @return lldp
  */
  @ApiModelProperty(value = "")

  @Valid

  public SiteApLldpSettingVo getLldp() {
    return lldp;
  }

  public void setLldp(SiteApLldpSettingVo lldp) {
    this.lldp = lldp;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SiteLldpSetting siteLldpSetting = (SiteLldpSetting) o;
    return Objects.equals(this.lldp, siteLldpSetting.lldp);
  }

  @Override
  public int hashCode() {
    return Objects.hash(lldp);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SiteLldpSetting {\n");
    
    sb.append("    lldp: ").append(toIndentedString(lldp)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

